// 本地网管模块
// 杭州秒寻科技有限公司
// 周涛
// 2023-9-17
#ifndef GUI_H
#define GUI_H

#include "sysdef.h"

#define GUI_FRAME_MAX_LEN (UDP_FRAME_MAX_LEN + 128) // 串口接收缓存，比AP层最大长度多128字节

// GUI从串口接收字符结构
typedef struct
{
    uint32 dwDataLen;                    // 接收字符数
    uint8 abyReserved[2];                // 保留，4字节对齐考虑
    uint8 abyDataBuf[GUI_FRAME_MAX_LEN]; // 数据
} GUI_RECEIVE_BUFFER_T;

void gui_init();
void gui_process_func();
void gui_send_data_to_gui(uint8 *pbyData, uint16 wLen);

#endif
